Bug 10763 - %_lib instead of /lib in %post
: %_lib instead of /lib in %post
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nvidia_glx_1.0.9746)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-03 22:08 by
Modified: 2007-03-11 15:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-03 22:08:06
%post ищет version-file в lib64;

$ rpm -q --scripts nvidia_glx_1.0.9746 | fgrep /lib64/modules
    NV_KERN_VER_FILE=/lib64/modules/`uname -r`/.versions/nvidia

Но модули живут в lib:

$ stat /lib64/modules
stat: cannot stat `/lib64/modules': No such file or directory
$ rpm -qf /lib/modules/
filesystem-2.3.2-alt1
------- Comment #1 From 2007-02-05 14:27:37 -------
nvidia_glx_x8664_1.0.9746-1.0.9746-alt28
------- Comment #2 From 2007-03-11 15:15:07 -------
Спасибо, closed